*COMDECK HISTORYL383     ***
L383F    ***
L386     ***
L393     ***
L397     ***
 CP114.   ALLOW COMPASS TO READ COMPRESSED COMPILE FILE AND *OPLC*
          RECORDS WRITTEN BY *MODIFY* IN 64-GRAPHIC CHAR SET MODE.
          RHG.   74/10/07.   COMPASS. 
  
L401     ***
L406     ***
 CPSCPRT. UPDATE COPYRIGHT NOTICE IN COMPASS LISTING AND BINARY.
          VMA.   75/03/27.   COMPASS. 
  
CP096A.   MOVE SYMBOL TABLE TO LCM WHEN COMPASS IS USED UNDER 
          SCOPE 2, SO THAT COMPASS CAN ASSEMBLE THE SCOPE 2.1 
          OPERATING SYSTEM ON A 32K 7600. 
          RHG.   75/03/01.   COMPASS. 
  
L410     ***
 CPS106.  CORRECT PASS 1 CONTROL CODE SO *COMMENT STAMENTS
          ARE NOT COUNTED IN THE IF-SKIPPING LINE COUNT.
          VMA.   75/04/30.   COMPASS. 
  
 CPS110.  RECALL SCRATCH FILES BEFORE RETURNING CONTROL TO
          CALLING COMPILER. 
          VMA.   75/05/07.   COMPASS. 
  
 CPS112.  CODE TO CORRECT DAYFILE MESSAGE GIVING THE PROPER 
          AMOUNT OF FL REQUIRED BY COMPASS TO CONTINUE ASSEMBLY 
          AFTER ALLOCATION OF I/O BUFFERS.
          VMA.   75/05/13.   COMPASS. 
  
L414     ***
 S3143CP. REPLACE "OS.NAME""OS.VER" WITH "OS.ID" IN PREFIX
          TABLE, AND ALLOW "MODEL" = 17X. 
          RHG.   75/08/22.   COMPASS. 
  
 *L420*    *********************************************************************
 CPS*76.  UPDATE COPYRIGHT NOTICE IN COMPASS LISTING AND BINARY.
          VMA.   75/12/05.   COMPASS. 
  
CP139CP.  CHANGES TO COMPASS AND COMPCOM TO ACCOMODATE INTERFACE
          TO COMPILERS THAT ARE NOW 54-TABLE OVERLAYS.  ALSO
          PROVIDES COMPASS-COMPILER INTERFACE WORDS FOR NEW 
          CONTROL STATEMENT PARAMETERS BL, PD, PS, PW, AND
          RESERVES TWO INTERFACE WORDS TO USERS.  FOR *NOS*,
          ADDS ENTRY POINTS ARG= AND MFL= AND CHANGES COMPASS 
          RECORD TYPE FROM *OVL* TO *ABS*.
          RHG.   75/10/23.   COMPASS, COMPCOM.
  
 CP147.   ADD *LDSET* PSEUDO OP.
          VMA.   75/08/22.   COMPASS. 
  
 CP154.   IMPLEMENT WEAK EXTERNALS (=Y SYMBOLS) FEATURE.
          RHG.   75/09/24.   COMPASS. 
  
 CPS085.  PREVENT ASSEMBLY ERRORS WHEN OPCODE FIELD GOES PAST 
          DEFAULT COMMENT COLUMN. 
          VMA.   75/10/03.   COMPASS. 
  
 *L428*    ************************************************************* *L428* 
 CPS126.  FIX *OPSYN* TO ALLOW SPECIAL CHARACTERS IN THE OPCODE          CPS126 
          IN THE VARIABLE FIELD.                                         CPS126 
          VMA.   75/11/06.   COMPASS.                                    CPS126 
                                                                         CPS126 
 CPS127.  FIX *SCAN IDENT CARD* SUBROUTINE SO ENTRY PARAMETER IN         CPS127 
          IDENT CARD IS FLAGGED ERRONEOUS FOR *PERIPH* PROGRAM.          CPS127 
          VMA.   75/11/06.   COMPASS.                                    CPS127 
                                                                         CPS127 
 CPS130.  FIX COMCWTH SO COLONS ARE NOT OMITTED AT THE END OF            CPS130 
          LINE WHEN LISTING OUTPUT.                                      CPS130 
          VMA.   75/05/23.   COMPASS.                                    CPS130 
                                                                         CPS130 
 CPS135.  PREVENT RECALL ERROR ON SCRATCH FILE ZZZZZRL.                  CPS135 
          RHG.   76/03/23.   COMPASS.                                    CPS135 
                                                                         CPS135 
 CPS141.  CHANGE MSG= CORRESPONDING TO CHANGES IN *MESSAGE*              CPS141 
          MACRO INTRODUCED BY *KR12124*.                                 CPS141 
          RHG.   76/03/04.   COMPASS, COMPCOM.                           CPS141 
                                                                         CPS141 
 *L433*    ************************************************************* *L433* 
 *L439*    ************************************************************* *L439* 
 CPS150.  FIX ERRONEOUS COMMENT IN COMPCOM.                              CPS150 
          VMA.   76/07/01.   COMPASS, COMPCOM.                           CPS150 
 CPS153.  MAKE CONTROL STATEMENT CONTINUATION WORK UNDER *NOS*.          CPS153 
          RHG.   76/07/07.   COMPASS.                                    CPS153 
                                                                         CPS153 
 *L446*    *************************************************************
CPS*77.   UPDATE COPYRIGHT NOTICE FOR YEAR 1977 IN COMPASS. 
          JEG.   76/10/26.   COMPASS. 
  
 CPSVER34 UPGRADE COMPASS VERSION LEVEL.
          JEG.   76/10/29    COMPASS.77 
  
 CP161CP. ADD LDSET KEYWORDS *EPT*, *NOEPT* TO SUPPORT FAST 
          DYNAMIC LOADER (FDL). 
          VMA.   76/04/05.   COMPASS. 
 F7540CP. MODIFICATIONS TO THE CONDITIONAL ASSEMBLY FOR CYBER 176 
          SUPPORT.
          VMA.   76/09/22.   COMPASS. 
  
F7820CP   CODE TO SUPPORT NEW COMMON MESSAGE MACRO
          VMA.   76/11/09.   COMCSYS,CPCOM
  
 CPS146.  AUGMENT SIZE OF CARD IMAGE BUFFER TO ALLOW FOR LONG 
          LINES (UP TO 160 COLUMNS) 
          VMA/JEG. 76/11/15. COMPASS. 
  
 CPS167.  CODE TO CORRECT CONDITIONAL CODE FOR CYBER 176. 
          VMA,JEG. 76/12/10. COMPASS. 
  
 *L452*    *************************************************************
CPS118X.  THE FOLLOWING CODE FIXES *GSM* SO OPCODE ENTRIES
          ARE NOT LOST WHEN TRANSFERED TO TEMTAB. 
          JEG.   77/02/17.   COMPASS. 
  
 CPS173.  CODE TO ALLOW USE OF DELIMITERS AS CHARACTERS WITHIN NAMES
          DURING LDSET OPTIONS *LIB,OMIT,USE,USEP, AND SUBST *. 
          JEG.   77/03/18.   COMPASS. 
  
 *L460*    *********************************************************************
 CPS076X. THIS CODE CORRECTS VFD SO THAT THE VALUE SENT TO PACKOR IS
          CORRECTLY POSITIONED FOR PACKING INTO THE *OCTAL* AREA IN 
          PREPARATION FOR LISTING.
          JEG.   77/03/08.   COMPASS. 
  
 CPS144.  CODE TO ALLOW COMPASS TO SKIP OVER STATEMENT PREFIXES SUCH AS 
          KCL LABELS , $ , AND /. 
          JEG.   77/03/28    COMPASS. 
  
 CPS147X. CODE TO ALLOW VARIABLE SUBFIELDS OF AN INSTRUCTION TO BE
          WRITTEN IN THE OPERATION FIELD WITH EACH SUBFIELD PRECEDED
          BY A COMMA. 
          JEG.   77/04/26.   COMPASS. 
  
 CPS151.  ADD CODE TO PRINT ERROR MESSAGE AND ABORT COMPASS WHEN ILLEGAL
          PARAMETERS  *X=0*  AND  *I=0*  ARE ENCOUNTERED ON THE COMPASS 
          CALL STATEMENT. 
          JEG.   77/03/14.   COMPASS. 
  
 CPS161.  POSITION *VERSION* AND *PSRLEVEL* CORRECTLY IN PREFIX TABLE.
          JEG.   76/03/11.   COMPASS. 
  
 CPS164X. CODE TO ALLOW USE OF *LDC* WITH NEGATIVELY RELOCATED SYMBOL.
          JEG.   77/04/04    COMPASS. 
  
 CPS172.  MAKE *XTEXT* WORK ON UPDATE OLDPL WHEN *COMDECK CARD
          HAS COMMON DECK NAME STARTING AFTER COLUMN 11.
          JEG.   77/04/19.   COMPASS. 
  
 CPS176.  CODE TO CORRECTLY DETERMINE BLOCK COUNT OF PRESENT BLOCK GROUP
          WHEN TEST IS DONE FOR USETAB OVERFLOW.
          JEG.   77/05/04.   COMPASS. 
  
 *L470*    ************************************************************* *L470* 
 FEAT184N FEATURE CODE TO EXTEND LDSET OPTIONS TO INCLUDE COMMON, PS,    FEAT184
          PD AND PRESET=DEBUG.                                           FEAT184
          JEG.   77/05/24.   COMPASS.                                    FEAT184
                                                                         FEAT184
FEAT184NA CORRECT VERSION NUMBER MICRO AND VERSION COMMENTS.             FEAT184
          JEG.   77/08/26.   COMPASS.                                    FEAT184
                                                                         FEAT184
CPS*78.   UPDATE COPYRIGHT NOTICE FOR YEAR 1978 IN COMPASS.              CPS*78 
          JEG.   77/07/26.   COMPASS.                                    CPS*78 
                                                                         CPS*78 
 CPSA070  ATTEMPTS TO PRESET DATA INTO BLANK LCM/ECS COMMON BLOCK        CPSA070
          WAS NOT FLAGGED WITH *R* ERROR.                                CPSA070
          DBK    77/10/26    COMPASS                       PSR           CPSA070
                                                                         CPSA070
 CPSA083. THIS CODE WILL PREVENT COMPASS FROM CREATING *FILL* TABLES     CPSA083
          WITH A WORD COUNT GREATER THAN 7777B.                          CPSA083
          JEG.   77/09/05.   COMPASS.                                    CPSA083
                                                                         CPSA083
 CPSA096. THIS CODE CORRECTS A PROBLEM WHICH CAUSES ASSEMBLY ERRORS      CPSA096
          IN THE RETURN MACRO WHEN ASSEMBLING COMPASS.                   CPSA096
          JEG.   77/09/19.   COMPASS.                                    CPSA096
                                                                         CPSA096
 CPSA098  WHEN CHANGING PSR LEVEL OF COMPASS USING *ML* PARAMETER ON     CPSA098
          COMPASS CALL STATEMENT, WARNING MESSAGE WILL RESULT AND BAD    CPSA098
          PREFIX TABLE WILL BE OUTPUT.                                   CPSA098
          DBK    77/09/22    COMPASS                       PSR           CPSA098
                                                                         CPSA098
CPSA097.  THIS CORRECTION SET MAKES SURE THAT THE COMPASS DOCK           CPSA097
          OUTPUT IS IN AN ACCEPTABLE (READABLE) FORMAT.                  CPSA097
          RLD.      08/30/77.      COMPASS.                              CPSA097
                                                                         CPSA097
 CPS076X. CODE TO CORRECT LISTING PROBLEM CAUSED BY VFD WHEN VALUE IS    CPSA094
          OUTPUTTED AT BOTTOM OF WORD.                                   CPSA094
          JEG.   77/08/26.   COMPASS.                                    CPSA094
                                                                         CPSA094
 CPS168.  CODE TO CORRECT COMPASS SO THAT CONTINUATION CARDS OF LESS     CPS168 
          THAN 10 CHARACTERS WILL BE CORRECTLY PROCESSED.                CPS168 
          JEG.   77/08/30.   COMPASS.                                    CPS168 
                                                                         CPS168 
          COMMON DECKS ON THE COMPASS PL ARE MODIFIED AS FOLLOWS --      CPSA104
          1) COMCMTP IS MODIFIED TO MOVE TABLES PROPERLY,                CPSA104
          2) COMCSRT IS MODIFIED TO USE REGISTERS AS DOCUMENTED,         CPSA104
          3) COMCCPT IS MODIFIED TO MOVE PREFIX TABLE COMMENT            CPSA104
             FIELDS PROPERLY,                                            CPSA104
          4) COMCRSR AND COMCSVR COMMENTS ARE CHANGED TO INDICATE        CPSA104
             AUTHOR UNKNOWN,                                             CPSA104
          5) VARIOUS DECKS ARE MODIFIED TO ALLOW PROPER FUNCTIONING      CPSA104
             WITH THE SUBR MACRO FROM EITHER CPUTEXT OR NOSTEXT.         CPSA104
          CJL    77/12/06    CPUREL,CALLCPU                PSR           CPSA104
                                                                         CPSA104
 CPSA107  *COMCRDW* IS MODIFIED TO RETURN *EOI* STATUS PROPERLY.         CPSA107
          CJL    78/01/19    CALLCPU,CPUREL                PSR           CPSA107
                                                                         CPSA107
 *L477*    **************************************************** 
CPSA106.  THIS CODE WILL PREVENT COMPASS FROM CREATING A *XFILL* TABLE
          WITH A WORD COUNT GREATER THAN 7777B. 
          JEG.   78/01/27.   COMPASS. 
  
 CPS188   A *DECMIC* PSEUDO INSTRUCTION WITH A TEN DIGIT NUMBER 
          DEFINED THE MICRO WITH THE WRONG VALUE. 
          DBK    78/01/03    COMPASS                       PSR
  
CPS192.   THIS CODE PREVENTS THE OCCURANCE OF A MODE 1 ERROR CAUSED 
          BY THE COMBINATION OF COMPRESSED MODIFY INPUT AND A SEQUENCE
          MICRO.
          JEG.   78/01/27.   COMPASS. 
  
 CPSA112  BLANKS WERE NOT SQUEEZED OUT OF VERB(*COMPASS*) ON *NOS*
          WHEN PROCESSING CONTROL STATEMENT.
          DBK    78/03/13    COMPASS                       PSR
  
 CPS198.  PREVENT COMPASS FROM PRINTING AN EXTRA LINE WHEN CALLED BY
          A FORTRAN PROGRAM WHICH HAD A L=LFN ON IT"S CONTROL CARD CALL.
          JEG.   78/04/03.   COMPASS. 
  
 *L485*    *****************************************************
 F4720A   THE COMMON COMMON DECKS ARE CHANGED TO DOCUMENT SOME GENERAL
          RESTRICTIONS WHICH APPLY TO ALL THE DECKS AND TO ADD COMMENTS 
          TO MAKE THE DECKS MORE READABLE AND MAINTAINABLE. 
          CJL    78/04/11    CALLCPU
  
 F4720B   THE COMMON COMMON DECKS WHICH DO NOT APPLY TO SCOPE 2 ARE 
          OMITTED UNDER SCOPE 2 VIA AN UPDATE DEFINE DIRECTIVE. 
          RLD    78/04/11    CALLCPU,CPUREL 
  
 F4720C   COMMON DECKS *COMCMOS* AND *COMCMNS* ARE ADDED TO 
          THE COMMON COMMON DECKS.
          CJL    78/05/10    CALLCPU,CPUREL 
  
F4720D.   CODE ENABLES USERS TO CALL COMMON COMDECKS BY ENTRY POINT 
          NAMES WITH AND WITHOUT EQUAL SIGNS APPENDED.
          RLD.   09/01/78.   COMPASS. 
  
 F4810A.  FEATURE CODE TO ENABLE PRINT DENSITY AND PAGE SIZE TO BE       F4810A 
          SPECIFIED AT ASSEMBLY TIME.                                    F4810A 
          JEG.   78/06/16.   COMPASS.                                    F4810A 
                                                                         F4810A 
 F4810B.  FEATURE CODE TO ENABLE COMPASS TO DYNAMICALLY MANAGE ITS FL.   F4810B 
          JEG.   78/06/16.   COMPASS.                                    F4810B 
                                                                         F4810B 
 CPSA115. CODE TO ENSURE THAT *END* EXISTS IN OPTAB WHEN AN EOR IS
          ENCOUNTERED ON THE INPUT FILE.  THIS CODE ALSO REMOVES UNUSED 
          6RM CODE FROM XTEXT AND RNC.
          JEG.   77/07/05.   COMPASS. 
  
 CPS202.  CODE TO ENABLE PURGMAC TO REMOVE MACROS WHICH TERMINATE WITH
          AN ASTERISK.
          JEG.   05/08/78.   COMPASS. 
  
CPSA117.  CORRECTIVE CODE ENSURES THAT COMPASS DOES NOT RECEIVE 
          ASSEMBLY ERRORS WHEN COMPASS IS BEING ASSEMBLED.
          RLD.   07/24/78.   COMPASS. 
  
 CPSA119. THIS CODE ENABLES COMPASS TO OPEN (ON SCOPE2) THE OUTPUT
          FILE FOR I/O. 
          JEG.   08/11/78.   COMPASS. 
  
 CPSA123. CODE TO ENSURE THAT RDC WILL TRANSFER DATA TO THE END OF THE
          LINE IF NO WORD COUNT IS SPECIFIED. 
          JEG.   10/27/78.   COMPASS. 
  
 CPSA125. THIS CODE CORRECTS DEGRADATIONS CREATED BY THE COMPASS DYN. 
          FL. MGMT. CODE. 
          JEG.   11/09/78.   COMPASS. 
  
 CPSA126. CODE TO INSURE THAT SPACE BETWEEN CP.NFLS AND CP.AFLS IS
          PROPERLY RESTORED WHEN COMPASS RETURNS CONTROL TO A CALLING 
          COMPILER. 
          JEG.   11/09/78.   COMPASS. 
  
 *L498*    ************************************************ 
CPS*79.   UPDATE COPYRIGHT NOTICE FOR YEAR 1979 IN COMPASS. 
          JEG.   78/12/27.   COMPASS. 
  
 CPSA129. CODE TO PREVENT *LOST REFRENCES* ON NOS.
          JEG.   12/09/78.   COMPASS. 
  
 CPSA133. CODE TO PREVENT ASSEMBLY ERRORS IN COMCMTP WHEN ASSEMBLING
          WITH NOSTEXT. 
          JEG.   12/26/78.   COMCMTP. 
  
 CPSA138. CODE ENSURES THAT COMPASS FLUSHES ITS OUTPUT
          BUFFERS BEFORE RETURNING CONTROL TO A CALLING COMPILER. 
          JEG.   03/29/79.   COMPASS. 
  
 *L505*    ************************************************ 
 CPSA132. CODE TO PREVENT ASSEMBLY ERRORS WHEN ASSEMBLING COMPASS IN
          DEBUG MODE. 
          JEG.   12/26/78.   COMPASS. 
  
 CPSA134. THIS CODE MODIFIES COMPASS CONDITIONAL CODE SO THAT 
          THE CONDITIONAL TESTS REFLECT THE ACTUAL HARDWARE FEATURE OR
          SYSTEM WHICH CODE IS ASSEMBLED FOR. 
          JEG.   03/16/79.   COMPASS. 
  
 CPSA142. CODE TO ADD *E* PARAMETER TO LIST OF COMPASS CONTROL
          CARD PARAMETERS.
          JEG.   05/08/79.   COMPASS. 
  
 CPS186   NEGATIVE ADDRESS ON *ORG* WAS NOT DIAGNOSED WITH ERROR. 
          RLD    78/12/06    COMPASS                       PSR
  
 CPS191   CORRECTS ABORT TO SKIP TO EXIT(S) RATHER THAN EXIT AT 
          END OF RUN WHEN A OPTION IS SPECIFIED.
          CJC    4/10/79     COMPASS
  
 CPS213   MODIFY COMPRESSED CARD INPUT CAUSED GARBLED SEQUENCE
          NUMBERS ON MICRO EXPANSIONS WITH *A* LIST OPTION TURNED ON. 
          JEG    78/12/15    COMPASS                       PSR
  
 CPS216   ALTERNATE FORM OF OPDEF CALL WITH VARIABLE SUBFIELDS NEXT TO
          OPERATION FIELD SEPERATED BY A COMMA DID NOT SUBSTITUTE 
          PROPERLY. 
          DBK    78/12/28    COMPASS                       PSR
  
 CPS218   SYMBOLS USED TO DEFINE A MICRO STRING DID NOT APPEAR IN 
          THE CROSS REFERENCE MAP.
          DBK    78/12/28    COMPASS                       PSR
  
 CPS227.  CODE ENSURES THAT THE CORRECT LENGTH IS STORED FOR ALL
          SEGMENTS WHEN THE SEGMENT TABLE IS RELOCATED. 
          JEG.   03/06/79.   COMPASS. 
  
 *L508*    ************************************************ 
 CPSA141  CHANGES COMPASS TO CHECK FOR INPUT BEFORE SETTING UP TABLES.
          THIS CHANGE REQUIRES A REFERENCE MANUAL CHANGE SINCE COMPASS
          WILL GENERATE NO OUTPUT FILE WHEN USED ON AN EMPTY INPUT FILE.
          CJC    05/09/79    COMPASS
  
 CPSA163. THIS CODE VOIDS THE INSTRUCTION STACK IN COMMON COMDECKS
          COMCMVE, COMCRDW, AND COMCWTW IN CONFORMANCE WITH DESIGN
          DOCUMENT S2658. 
          MAH/CJC 02OCT79    COMPASS                       PSR
  
 CPSA168. THIS CODE ALLOWS FTN TO CLOSE ALL ITS OWN FILES WHEN COMPASS
          IS THE LAST SUBPROGRAM IN A FTN CALLED ASSEMBLY.
          ALSO CHECKS FOR *OPEN* RATHER THAN *WRITTEN TO* BEFORE CLOSING
          THE LISTING FILE. 
          CJC    10OCT79     COMPASS
  
CPS219A.  THIS IDENT PURGES CPS219. 
           CJC.  08/19/79.   COMPASS. 
  
 CPS234   CORRECT COMPASS LINE NUMBER REPORTING FOR CROSS REFERENCE LIST
          WHEN REFERENCES ARE IN UNLISTED LINES.
          CJC    18MAY79     COMPASS
  
 CPS239.  SIGNAL T (8 LPI) AFTER THE DECKNAME ON OUTPUT FILE. 
          CJC    7AUG79      COMPASS                       PSR
  
 CPS243.  THIS CODE CHECKS A FL PROBLEM IN ALC.  IT WAS SUBTRACTING 
          THE REQUESTED SPACE TWICE.
          CJC    6/20/79     COMPASS                       PSR
  
 CPS247.  THIS CODE CORRECTS SUBROUTINE DFL (DECREASE FL) TO DECREASE FL
          INSTEAD OF SET IT TO A MINIMUM OF 60K.
          CJC     27JUN79     COMPASS 
  
 CPSA158. THIS CODE CHECKS FOR AN EMPTY CONTINUATION LINE 
          SPECIFICALLY ON SCOPE 2 SYSTEMS.
          CJC    17OCT79     COMPASS                       PSR
  
 CPSA161. THIS CODE CHANGES OBSOLETE MESSAGE *IDENT CARD MISSING* 
          TO *IDENT STATEMENT MISSING* AS STATED IN THE REFERENCE 
          MANUAL. 
          CJC    21SEP79     COMPASS                       PSR
  
 CPS236.  CHANGE COMPASS TO PRINT CARRIAGE CONTROL CHARACTER ONLY WHEN
          8 LPI IS REQUESTED (BY DEFAULT OR OTHERWISE), AND RESET 
          PRINTER TO 6 LPI UPON FINISHING ASSEMBLY, IF NECESSARY. 
          CJC    03OCT79     COMPASS                       PSR
  
 CPS240.  CHANGE ASSEMBLY MODEL MESSAGE TO INDICATE TYPE RATHER THAN
          INCORRECT MODEL NUMBER. 
          CJC    15OCT79     COMPASS                       PSR
  
CPS*80.   UPDATE COPYRIGHT NOTICE FOR YEAR 1980 IN COMPASS. 
          CJC.   5NOV79   COMPASS.
  
 *L518*    ************************************************ 
 *L528*    ************************************************ 
 CPS251   ENTRY. REMOVE N ERROR FOR NEGATIVE PROGRAM RELOCATION 
          ON  ENTRY.
          MAH    79/11/16    APPLIES TO COMPASS 3.6 . 
  
 F4820.   FEATURE CODE TO ALLOW 8 BIT ASSEMBLY FOR NETWORK ACCESS 
          DEVICE(NAD), MOTOROLA 6800 AND INTEL 8080.
          RAW    11/07/79    COMPASS
  
 F4820A.  CODE TO ALLOW REVERSE ADDRESSING MODE FOR 8080. 
          RAW    02/01/80    COMPASS
  
 RSM4159  ALLOW 255 BLOCKS PER IDENT, NOT JUST PER ASSEMBLY.
          CUSTOMER RECOMMENDED CODE.
          CJC    7FEB80      COMPASS
  
 F233CMU  INCORPORATE CMU CODE INTO *COMCMNS* SUCH THAT 
          ON A CYBER 172/173/174 WITH CMU CHARACTER MOVES 
          OVER 30 CHARACTERS WILL USE THE CMU.
          LDH    11/28/80    COMCMNS
  
 SIE7969. THIS CODE ELIMINATES UNNECESSARY REQUESTS FOR FL EQUAL TO 
          CURRENT FL. 
          CJC    12DEC79     COMPASS (RFL)                 PSR
  
 CPSA116  ENSURE THAT THE INTERMEDIATE FILE IS CORRECTLY POSITIONED 
          BEFORE THE INTER TABLE IS DUMPED TO IT. 
          CJC    4MAR80      COMPASS
  
 CPSA140  COMPASS.  AVOID SPURIOUS R ERRORS IN PROGRAMS WITH
          OPERATIONS WHICH VIOLATE *MACHINE*.  DO NOT ASSUME THESE
          INSTRUCTIONS ARE 30-BIT IN PASS 2, BUT PROCESS NORMALLY.
          MAH    1/12/80     APPLIES TO COMPASS 3.6 . 
  
 CPSA148  COMCRDH.  AVOID STORING INTO WORKING BUFFER-1.
          THIS IS ANALOG OF NOS IDENT CRDH1.
          MAH    11/20/79    APPLIES TO COMMON COMMON DECKS.
  
 CPSA169. COMPASS WAS GETTING AN RM142 ERROR ON GET DUE TO INCORRECT
          FL MANAGEMENT ON SCOPE 2 SYSTEMS WHILE READING SYSTEXT. 
          THIS IDENT REMOVES UNNECESSARY GET AND FETCH. 
          CJC    26NOV79     COMPASS                       PSR
  
 CPS214   ARG.  DIAGNOSE CONTROL CARD OPTION APPEARING TWICE. 
          MAH    01/10/79    APPLIES TO COMPASS 3.6 . 
  
 CPSA181. THIS CODE ADDS THE BL PARAMETER IN CONFORMANCE WITH DAP S1295.
          THE *N* OPTION IS CHANGED TO CONTROL (SUPPRESS) ONLY EXPLICIT 
          PAGE EJECTS.  DEFAULT VALUE OF BL IS OFF (0), THEREFORE 
          LISTINGS WILL BE CONDENSED. 
          CJC    20MAR80     COMPASS                       PSR
  
 CPSA184  COMPASS WAS RESETTING UP THE E FET WHEN CALLED BY FTN MORE
          THAN ONCE.
          MAH-CJC12FEB80     COMPASS
  
 CPSA187  COMCRDW IS CHANGED WITH THIS CODE TO CHECK FOR ZERO 
          WORD COUNT ON ENTRY.
          CJC    6MAY80      COMCRDW
  
 CPSA195  THIS CODE CORRECTS THE INDEXING OF USETAB FROM 6 TO 4 
          IN BCU PROCESSING, ALLOWING CORRECT PROGRAM LENGTH REPORTING. 
          CJC    17JUNE80    COMPASS
  
 CPSA196. REMOVE UNNECESSARY CONDITIONAL CODE.
          CJC    24JUN80     COMPASS
  
 CPSA204. CHANGE COMCSRT TO SUPPORT UPDATE PROGRAM LIBRARY DETECTION. 
          UTLA067 WILL HAVE TO BE INSTALLED WHEN THIS CHANGE IS MADE. 
          CJC    26AUG80     COMCSRT
  
 CPS232   PULL. AVOID SIGN EXTENDING FIELD RESIDING AT TOP
          OF WORD. THIS PREVENTS BAD *BASE* MICRO WITH OVER 
          30 BASES STACKED.  AND PROBABLY OTHER BAD STUFF TOO.
          MAH    11/17/79    APPLIES TO COMPASS 3.6 . 
  
 CPS0253  COMPASS/EXT.  DIAGNOSE MORE THAN 511 EXTERNAL SYMBOLS.
          MAH    1/11/80     APPLIES TO COMPASS 3.6 . 
  
 CPS254   COMPASS/MCLE.  DIAGNOSE IMPROPER SYNTAX ON MACROE CALL. 
          MAH    1/3/80      APPLIES TO COMPASS 3.6 . 
  
 CPS0257  COMPASS/UCARD.  AVOID MODE 1 PROCESSING CARD OUTSIDE OF 
          MACRO BODY WITH A SEMICOLON CHARACTER.
          THIS ERROR IS INTERMITTANT AND FIELD LENGTH (RELEASE LEVEL) 
          SENSITIVE.
          MAH    1/10/80     APPLIES TO COMPASS 3.6 . 
  
 CPS258   PASS0. DIAGNOSE CONFLICTING USE OF FILE FOR PAIR OF 
          LIST/INPUT/BINARY/XTEXT.
          MAH    11/17/79    APPLIES TO COMPASS 3.6 . 
  
 CPS0263  BY MASKING OFF THE NOREF BIT, IF ANY, THIS CODE PLACES
          THE PROPER QUALIFIER NAME INTO A QUAL MICRO SUBSTITUTION. 
          DLD    23APR80     COMPASS                       PSR
  
 CPS0267  THIS CODE WILL ENABLE A COLON TO BE A USABLE
          MACRO SEPARATOR FOR BOTH 63 AND 64 CHARACTER SETS 
          DLD    20MAR80     COMPASS                       PSR
  
 *L538*    ************************************************ 
CPS*81.   UPDATE COPYRIGHT NOTICE FOR YEAR 1981 IN COMPASS. 
          CJC    25JUL80     COMPASS
  
 CPSA197  CORRECTS PPTYPE TESTING FOR BCU/MCU TYPES.
          CJC    8JUL80      COMPASS
  
 CPSA198  REPLACE PACKO TO EFFICIENTLY HANDLE BOTH HEX
          AND OCTAL CONVERSIONS.
          CJC    16SEP80     COMPASS
  
 CPSA200  CORRECT LISTING PROBLEM IN SYMBOLIC REFERENCE TABLE 
          INTRODUCED BY F4820. SAVE CONTENTS OF X2 IN PRT, ALSO USED
          BY PACKO, SO THE BLOCK NAMES GET PRINTED ON THE LISTING.
          CJC    24JUL80     COMPASS
  
 CPSA210  COMCSRT WAS CHECKING INCORRECTLY FOR ALPHANUMERIC CHARACTERS, 
          WHILE OBTAINING THE PROCEDURE NAME. 
          CJC    9OCT80      COMCSRT
  
 CPSA213  CHANGE TESTS FOR HEX ASSEMBLY SO ONLY PPTYPE OF -1 OR -2
          ARE RECOGNIZED AS HEX.
          CJC    21OCT80     COMPASS
  
 CPSA214. LCM INSTRUCTIONS WERE BEING REDEFINED FOR ALL 
          MACHINES UNCONDITIONALLY DUE TO F4830CP CHANGES.
          F4830CP MUST PRECEDE THIS CODE. 
          CJC    30OCT80     COMPASS
  
 CPS0275  THIS WILL WRITE THE MICRO TO THE INTERMEDIATE FILE SO THE 
          SYMBOLS USED BY THE MICRO CAN BE X-REFERENCED WITH OUT BEING LISTED 
          DLD    16MAY80       COMPASS                    PSR 
  
 CPS0278  COMCUPC WAS NOT TESTING FOR ILLEGAL CHARACTERS 60B-77B. 
          CJC    7JUL80      COMCUPC
  
 CPS0279  CORRECT COMCDXB RADIX CHECK WHEN DXB1$ IS DEFINED.
          CUSTOMER RECOMMENDED CODE.
          CJC    1AUG80      COMCDXB
  
 CPS0281  CORRECT COMCSRT TO RETURN VALUE 16 ON PROC RECORDS. 
          CJC    28JUL80     COMPASS
  
 *L552*    ************************************************ 
 CPSA175. ON MICRO EXPANSIONS SPURIOUS COLONS AND CONTINUATION
          LINES WERE BEING ADDED TO STATEMENT.
          CJC    6JAN81      COMPASS
  
 CPSA186. WHEN A SYMBOL IS REFERENCED INSIDE A MACRO CALL,
          AND THE MACRO IS NOT LISTED, BE SURE CORRECT PAGE/LINE
          NUMBERS ARE ENTERED IN THE REFERENCE TABLE. 
          CJC    31MAR81     COMPASS
  
 CPSA199. ON NOS AND NOSBE SOURCE LINES OF 160 CHARACTERS ARE 
          PERMITTED, BUT ON SCOPE 2 ONLY 100 CHARACTER LINES ARE
          ALLOWED.  THIS CODE CHANGES THE MRL TO 160 FOR NORMAL 
          INPUT LINES ON SCOPE 2. 
          CJC    12NOV80     COMPASS
  
 CPSA208. REPLACE THE SUPPRESSED PAGE EJECTS BETWEEN LISTING PARTS
          WITH A COUPLE BLANK LINES AND THE SUBTITLE LINE.
          CJC    8DEC80      COMPASS
  
 CPSA216. DOCUMENT IN COMPCOM *F VALUE OF -3 INDICATES FTN5 CALLED
          COMPASS.
          CJC    5DEC80      COMPCOM
  
 CPSA218. PPTYPE TESTING FOR BCU/MCU WAS INCORRECT IN THE 
          DATA DECLARATION ROUTINE. 
          CJC    17FEB80     COMPASS
  
 CPSA220. FORCE UPPER ON RL AND WL INSTRUCTIONS.
          CJC    10FEB81     COMPASS
  
 CPSA225. COMPASS WAS TESTING INCORRECTLY FOR PPTYPE IN *DIS*.
          CJC    31MAR81     COMPASS
  
 CPSA226. THIS CODE CORRECTS ROUTINE *DFL* IN TABLE MANAGEMENT
          FL CALCULATIONS AND CORRECTS THE LOGIC ON CLEARING THE
          *LSTTHOU* FLAG. 
          CJC    31MAR81     COMPASS
  
 CPSA229. TEST FOR RECORD TYPE ON SCOPE 2 INPUT FILES TO AVOID
          RUN AWAY GETS ON COMPRESSED INPUT.  NEW DAYFILE MESSAGE,
          * INPUT FILE RECORD TYPE NOT ALLOWED.*
          CJC    9APR81      COMPASS
  
 CPSA230. CORRECT COMCSRT TO IDENTIFY A RANDOM PL WHOSE MASTER
          CHARACTER IS NOT ASTERISK.
          CJC    16APR81     COMCSRT
  
 CPSA246. THIS CODE MOVES THE UNDEFINING OF REDEFINABLE 
          SYMBOLS FROM THE END OF PASS1 TO THE INITIALIZATION OF
          PASS2.  IF CPS211 IS INSTALLED, IT MUST PRECEED THIS CODE.
          CJC    3SEPT81     COMPASS
  
 CPS211   ALL REDEFINABLE SYMBOLS WERE NOT UNDEFINED PROPERLY AT THE
          END OF PASS ONE.
          DBK    4DEC78      COMPASS                        PSR 
  
 CPS0241. TEST FOR BLANK OPCODE WAS DONE INCORRECTLY. 
          THIS CODE CORRECTS THE TEST FOR BLANK.
          CJC    13NOV80     COMPASS                       PSR
  
 CPS0287. COMCARG COMMON COMMON DECK DOES NOT WORK WITH NOSBE 
          GENERATED PARAMETER LISTS THAT HAVE CODED SEPARATORS, 
          RATHER THAN DISPLAY CODE SEPARATORS, IN THE LOWER BITS
          OF THE ARGUMENT LIST.  THIS CODE CHECKS FOR CODED 
          CHARACTERS AS WELL AS DISPLAY CODE ONES.
          CJC    6NOV80      COMCARG
  
 CPS0289  IF AN R= STATEMENT ALSO CONTAINS A MICRO, AND 
          THE *A* LIST OPTION IS NOT TURNED ON, THE LISTING SHOWS 
          BOTH THE ORIGINAL STATEMENT AND THE GENERATED STATEMENT.
          CUSTOMER RECOMMENDED CODE.
          CJC    14OCT80     COMPASS
  
 CPS0303. CORRECTLY DOCUMENT MACRO USAGE IN COMMON COMMON DECKS.
          CJC    02APR81     CPUREL 
  
 CPS0307. CORRECT COMCCIO TO ACCEPT THE ASTERISK OPTION OF
          *REWRITE*, *WRITE*, *WRITECW* AND *WRITEN* MACROS 
          IN RELOCATABLE PROGRAMS, USING CPU.CIO OUT OF SYSLIB. 
          ADAPTED FROM KRA681 ON THE NOS OPL. 
          CJC    02APR81     COMCCIO
  
 *L564*    ************************************************ 
 CPS*82.  UPDATE COPYRIGHT NOTICE FOR YEAR 1982 IN COMPASS. 
          CJC    27JUL81     COMPASS
  
 F4820B.  ADD TO BCU CODE FOR EXTENDED INSTRUCTION TYPES. 
          ADD NADTEXT TO COMPASS PL AS SEPARATE RECORD. 
          DDC/CJC  21JAN82   COMPASS,NADTEXT
  
 CPSA227. MACHINE 8 ON SCOPE 2 WAS CAUSING SCM DIRECT RANGE ERROR 
          TRYING TO LOAD AIDTEXT FROM THE SYSTEM LIBRARY. 
          THIS CODE CONDITIONALIZES THIS PROCESS TO ONLY
          LOAD AIDTEXT IF NOT ON A SCOPE 2 SYSTEM.
          CJC    12AUG81     COMPASS
  
 CPSA233. *NCHARS* WAS NOT SET CORRECTLY FOR BCU MODE.
          PCH    4AUG81      COMPASS
  
 CPSA234. THE MESSAGE *COMPASS NEEDS AT LEAST 00000B SCM* 
          ONLY GETS THE UPPER DIGIT OF THE AMOUNT CONVERTED 
          TO THE MESSAGE.  THIS CODE CORRECTS REGISTER USE
          IN ROUTINE *TFL* SO THE CORRECT AMOUNT IS REPORTED. 
          CJC    7MAY81      COMPASS
  
  
 CPSA235. IF MORE THAN ONE SUBPROGRAM IS ASSEMBLED, PAGE
          PARITY WAS NOT BEING SUPPRESSED.  THIS CODE TESTS 
          THE BL FLAG BEFORE ISSUING PAGE PARITY. 
          CJC    7MAY81      COMPASS
  
 CPSA236. COMPASS, WHEN CALLED BY FTN4, WAS INCORRECTLY CLEARING
          THE FIRST ADDRESS IN THE E FET.  THIS CODE CORRECTS THAT
          FLAW. 
          CJC    18MAY81     COMPASS
  
 CPSA240. PARAMETER F ON THE CONTROL CARD SHOULD ACCEPT 
          FTN4 AND FTN5 (EQUIVALENT TO 2 AND 3 RESPECTIBELY)
          AS STATED IN THE REFERENCE MANUAL.  THIS CODE CHANGES 
          FTN TO FTN4 AND ADDS FTN5 TO THE TABLE OF ACCEPTABLE NAMES. 
          CJC    22JUL81     COMPASS
  
 CPSA241. CHANGE MFL= VALUE TO REFLECT SIZE REQUIRED BY COMPASS 
          INITIALLY BY MOVING DEFINITION TO END OF PROGRAM. 
          CJC    23JUL81     COMPASS
  
 CPSA242. THE I/O COMMON DECKS GENERATE UNNECESSARY I/O REQUESTS. 
          THIS CODE CHANGES THEM SO THAT FET BUSY IS ALWAYS CHECKED 
          BEFORE THE POINTER IS CHECKED THAT IS BEING MOVED BY *CIO*. 
          THUS, THEY WILL NOT MISS THE FACT THAT THE STATUS OF THE
          BUFFER HAS CHANGED BETWEEN THE POINTER TEST AND ACTUAL CALL.
          ALSO, ALLOW THE USER TO PREVENT READ AHEAD AND WRITE BEHIND 
          CODE BY DEFINING SYMBOLS *RDX$* AND *WTX$* RESPECTIVELY.
          DKE    5AUG81      COMCRDW,COMCWTC,COMCWTH,COMCWTO,COMCWTS,COMCWTW
  
 CPSA243. CODE CHANGES *COMCCFD* TO RETURN A RESULT OF
          ********** ON AN OVERFLOW CONDITION.
          CJC    6AUG81      COMCCFD
  
 CPSA244. THIS CODE MAKES *COMCSTF* SAVE FET STATUS BEFORE
          ISSUING AN *OPEN* TO TEST FOR DEVICE TYPE, THEN 
          RESTORE PREVIOUS FUNCTION CODE. 
          CJC    6AUG81      COMCSTF
  
 CPSA245. COMMENTS ARE ADDED TO COMMON COMMON DECKS SHOWING 
          RESIDENCE AND MAINTENANCE RESPONSIBILITY. 
          CJC    11AUG81     COMMON DECKS 
  
 CPSA251. WHEN FL = MFL ON ENTRY TO COMPASS, DISK WAS NOT 
          BEING USED ON OVERFLOW.  ALSO *LSTTHOU* FLAG WAS
          USED TO INDICATE BOTH *INTERIO* AND *LSTTHOU* 
          THIS CODE CORRECTS USE OF *LSTTHOU* FLAG AND USES 
          DISK SPACE WHEN AVAILABLE CORE SPACE IS USED UP.
          CJC    5OCT81      COMPASS
  
 CPS0306. CODE CHANGES *COMCSRT* TO NO LONGER RECOGNIZE 
          *COS* TYPE RECORDS, CALLING THEM *TEXT*, INSTEAD. 
          CJC    24SEP81     COMCSRT
  
 CPS0320. MISSING ENDD WAS CAUSING MODE ERRORS. 
          THIS CODE CHANGES *PEC* TO SET *OPTYPE* BEFORE
          EXITING WHEN *END* CARD IS FOUND. 
          CJC    18SEP81     COMPASS
  
 CPS0323. *COMCSRT* WAS NOT CHECKING FOR ADDRESS WITHIN BUFFER
          BEFORE JUMPING TO THE END OF A TABLE IN DETERMINING 
          RECORD TYPE.  THIS CODE TESTS FOR LWA OF BLOCK, WHICH 
          IS PASSED TO *COMCSRT* IN REGISTER *X1*.  IF *COMCSRT*
          CANNOT DETERMINE RECORD TYPE WITHIN BUFFER SIZE,
          TYPE *TEXT* WILL BE RETURNED. 
          CJC    11FEB82     COMCSRT
  
 *L577*    ************************************************ 
 CPSA257. ADD A CHECK FOR WORD COUNT GREATER THAN ZERO
          FOR PIDL TABLES (RELOCATABLE RECORD TYPES) IN COMCSRT.
          CJC    7JAN82      COMCSRT
  
 CPSA259. CORRECT OMISSION OF LOADREQ CALL IN *RIV* ROUTINE.
          DEPENDENCY=F4830CP,CPSA227
          CJC    82/04/24   COMPASS 
  
 CPS0094. BASED UPON THE ASSUMPTION THAT COMPRESSED FILES 
          CANNOT BE OF RECORD TYPE Z, THIS CODE ENABLES COMPASS 
          TO READ NORMAL SOURCE FROM Z TYPE INPUT RECORDS ON
          SCOPE 2.  A CHECK FOR RT=Z IN *CIF* DOES THE TRICK. 
          CJC    19DEC81     COMPASS
  
 CPS0325  THIS CODE MOVES THE VALUE OF THE SYMBOL IN THE
          SYMBOLIC REFERENCE TABLE OVER TO ALLOW FOR 8- 
          CHARACTER SYMBOLS WITH 7-CHARACTER VALUES.
          CJC    26MAR82     COMPASS
  
 CPS0338. WHILE PRINTING THE SYMBOLIC REFERENCE TABLE,
          COMPASS (CALLED FROM FTN5) STARTED PRINTING GARBAGE 
          BECAUSE THE OUTPUT BUFFER WAS WRITTEN WITHOUT RECALL. 
          THIS CODE ENSURES THE OUTPUT BUFFER FLUSHED BEFORE
          CLOSING AND REWINDING FILES.
          CJC    23FEB82     COMPASS
  
 CPS0340. SINCE CPS240 CHANGED THE FORMAT OF ASSEMBLY STATISTICS
          TO LIST A GENERAL CPU TYPE RATHER THAN SPECIFIC MODEL 
          NUMBER, THE STATS DO NOT LINE UP.  THIS CODE CHANGES
          THE SECOND LINE OF THE STATISTICS SO IT LINES UP WITH 
          THE FIRST.  CUSTOMER RECOMMENDED CODE.
          CJC    28DEC81     COMPASS
  
 CPS0343. COMPASS LISTS THE MEMORY IT USED IN HEX FOR HEX ASSEMBLIES
          (BCU, MCU), BUT STILL PRINTS *B* POSTRADIX.  THIS CODE
          CORRECTS COMPASS TO REPORT THE MEMORY IT USED IN OCTAL, 
          THUS CORRECTLY INDICATING THE AMOUNT USED WITH POSTRADIX. 
          CUSTOMER RECOMMENDED CODE.
          CJC    29DEC81     COMPASS
  
 CPS0345  TEACH *COMCSRT* THE DIFFERENCE BETWEEN CAPS AND OVCAPS. 
          DEPENDENT UPON CPSA204, CPS0281 AND CPS0306.
                 ITEMIZE MUST BE BUILT WITH UTL0121.
                 COPYL MUST BE BUILT WITH UTL0120.
          CJC    9MAR82      COMCSRT
  
 *L587*    ************************************************ 
 CPSA261  CORRECT LABEL WTW10 IN COMCWTW WHEN WTX$ IS DEFINED.
          DEPENDENCY=CPSA242
          CJC    82/08/02    COMCWTW
  
 CPS2608  COMPASS COMBINES ALL LDSET PSEUDOS INTO ONE LOADER TABLE
          WITHOUT CHECKING WORD SIZE, THUS CREATING AN ILLEGAL
          LOADER TABLE ON OVERFLOW CONDITIONS.  THIS CODE ADDS A
          ROUTINE TO GENERATE THE TABLE CONTROL WORD(S) DURING
          PASS ONE SO MORE THAN ONE LDSET TABLE CAN BE GENERATED
          IF NECESSARY. 
          CJC    82/07/23    COMPASS
  
 *L601*    ************************************************ 
 CPSA265  IMPLEMENT SYSTEM PAGE SIZE TO BE FETCHED FROM 
          SYSTEM DEFAULT.  ALSO ADDS COMMON DECK *COMCCPM* TO THE 
          *COMPASS* PL. 
          DEPENDENCY=CMP30,CPS064,CPS236,F4810A 
          RETRANS=8I3 
          ASD/RRR/CJC 82/07/01   COMCCPM, COMPASS 
  
 *L617*    ************************************************ 
 CPSA266  CORRECT SYSTEM PAGE SIZE FETCHED FROM DEFAULT ON
          SCOPE 2 SYSTEMS.
          DEPENDENCY=CPSA265
          PFK/CJC  83/10/05   COMPASS 
  
 *L628*    ************************************************ 
 *L642*    ************************************************ 
 CPSA274  CTM.  FIX MODE ERROR WHICH CAN OCCUR ON DUAL-STATE SYSTEMS. 
          CODE IN *CTM* DOES AN IN-STACK CODE MODIFICATION TO DETERMINE 
          THE TYPE OF CPU.  IT STORES A *JP B2* IN THE UPPER HALF AND 
          A *PS* (30 BITS OF ZERO) IN THE LOWER HALF OF A WORD WITHIN 
          THE STACK TO WHICH CONTROL SUBSEQUENTLY FALLS.  ON DUAL-STATE 
          SYSTEMS, INTERRUPTS ARE POSSIBLE AT ANY INSTRUCTION BOUNDARY, 
          SO CONTROL CAN GO TO THE *PS*.  CODE FIXES PROBLEM BY PLACING 
          THE *JP B2* IN BOTH THE UPPER AND LOWER HALVES OF THE WORD. 
          DEPENDENCY=CPS064 
          AXM    85/01/23    COMPASS
  
 CPS2627  COMPASS/DBSSZ.  FIX BSSZ FOR BCU-TYPE ASSEMBLIES. 
          DBSSZ WAS TREATING BCU ASSEMBLIES THE SAME AS FOR 
          NORMAL PPU ASSEMBLIES, AND WAS THUS STORING ZERO
          BYTES INTO THE WRONG LOCATION OF THE PROGRAM IMAGE. 
          AXM    84/10/23    COMPASS
  
 CPS2628  ON 63 CHAR SET SYSTEMS, BAD CODE IS GENERATED FOR COLON 
          IF 'CODE E', 'CODE I', OR 'CODE A' IS SELECTED. 
          CODE CHANGES ENTRY FOR COLON IN CHAR SET TABLE FOR
          63 CHAR SET SYSTEMS.
          AXM    84/10/29    COMPASS
  
 *L650*    ************************************************ 
 CPSA276  PROBLEM - IF B7 IS SET TO NEGATIVE UPON ENTRY (NOS/BE), 
          THE FIRST BLANK BEFORE THE VERB (COMMAND NAME) WILL BE
          CONSIDERED AS A SEPARATOR...THIS IS INCORRECT... THIS BLANK 
          (AND ALL BLANKS BEFORE THE VERB) SHOULD BE IGNORED. 
          SOLUTION - CHECK ASSEMBLY AREA FOR ANY ASSEMBLY OF THE VERB.
          IF THERE IS NONE YET, IGNORE THE BLANK (MUST BE LEADING). 
          CDF    85/04/05    COMCUPC
  
 CPSA281  IMPLEMENT CODE FOR 180 PPU ASSEMBLER SUPPORT (I4, I0).
          DERIVED FROM CODE DONE FOR THE CROSS INTERNAL ASSEMBLER.
          DEPENDENCY=CMP17,CMP30,CPSA213,CPSA225 CPS011,CPS064, CMP64G, 
          DEPENDENCY=CPS2627,F4820,F4820B 
          CJC    83/12/15    COMPASS
          AM     85/10/18 
  
 CPSA282  COMPASS/ARG.  COMPASS ABORTS WITH *AUTO-RECALL ERROR* ON
          NOS/BE IF THE *PD* PARAMETER IS SPECIFIED.  ADD CODE TO CLEAR 
          COMPLETE BIT PRIOR TO 2ND EXECUTION OF THE *GETPAGE* FUNCTION.
          DEPENDENCY=CPSA265
          CDF    85/07/27    COMPASS
  
 CPSA283  COMCRSR.  VOID STACK AFTER SETTING UP INSTRUCTIONS TO RESTORE 
          ALL OF THE B-REGISTERS.  NEEDED FOR THE 990-TYPE CPU ONLY.
          CDF    85/08/14    COMCRSR
          AXM    85/09/05 
  
 CPS0329  FIX REGRESSION CAUSED BY CPSA094.  FOR BCU OR MCU ASSEMBLIES, 
          THE BIT COUNT PER DIGIT (IN X0) WAS GETTING CLOBBERED.
          DEPENDENCY=F4820
          AXM    85/03/14    COMPASS
  
 CPS2667  COMPASS/PRT.  IF DIFFERENT FILE NAMES WERE SPECIFIED FOR THE
          LISTING AND THE ERROR FILES (VIA THE *L* AND *E* CONTROL
          STATEMENT OPTIONS), THE SUB-TITLE *SYMBOLIC REFERENCE TABLE*
          WAS BEING WRITTEN TO THE ERROR FILE INSTEAD OF THE LISTING
          FILE.  THIS ALSO LED TO MODE ERRORS DURING LARGE ASSEMBLIES.
          CORRECTIVE CODE FIXES.
          AXM    85/09/09    COMPASS
  
 *L670*    ************************************************ 
 CPSA284  PROBLEM - COMCSRT DETECTS MODIFY COMMON DECKS, BUT DOES NOT 
          INDIVIDUALLY IDENTIFY UPDATE COMMON DECKS.  ALSO, THE DECK
          NAMES FOR UPDATE DECKS ON A RANDOM PL ARE NOT CORRECT.
          SOLUTION - ADD A NEW RECORD TYPE (UPLRC) FOR UPDATE RANDOM
          PROGRAM LIBRARY COMMON DECKS, AND CORRECT THE ALGORITHM FOR 
          DETERMINING DECK NAMES IN UPDATE RANDOM PROGRAM LIBRARIRES. 
          DEPENDENCY=CPSA204,CPS0323,CPS0345,CPSA230
          CDF    85/10/02    COMCSRT
  
 CPSA286  CHANGE THE *TYPE* FIELD IN THE 77-TABLE TO 'H' FOR 16-BIT 
          PPU ASSEMBLIES. 
          DEPENDENCY=CMP30
          AM     85/11/13    COMPASS
  
 CPSA287  COMPASS/DDUMP.  WITH CPSA281, SCOPE2 BUILD FAILS WITH ASSEMBLY
          ERRORS.  CODE FIXES COMPASS TO HANDLE *CIPPU* TYPE PPU
          ASSEMBLIES ON SCOPE2.  ALSO FIXES A PROBLEM FOR ASSEMBLIES OF 
          *CIPPU* TYPE PPUS ON THE OTHER SYSTEMS; THE *NOLABEL* PSEUDO
          DID NOT SUPPRESS THE PPU HEADER.
          DEPENDENCY=CPSA281
          AM     86/01/16    COMPASS
  
 CPSA288  IMPLEMENTATION OF DAP *ARH7171*.  AFFECTS 180 PPU ASSEMBLIES
          ONLY.  MODIFIES FORMAT OF DATA GENERATED BY *CON* AND *VFD* 
          PSEUDO-OPS WHEN DESIRED THAT SUCH DATA BE LIMITED TO THE LOWER
          12 BITS OF EACH 16-BIT PPU WORD.  ADDS A SECOND PARAMETER TO
          THE *CIPPU* PSEUDO AND INTRODUCES TWO (2) NEW PSEUDO OPS THAT 
          ARE LEGAL ONLY DURING 180 PPU ASSEMBLIES:  *CONL* AND *VFDL*. 
          DEPENDENCY=CPSA281,CMP21,F4820,CPS076X
          AM     86/02/14    COMPASS
  
 CPSA289  THE DECK *CALLCPU* WAS NOT UPDATED TO INCLUDE A CALL TO THE 
          COMDECK *COMCCPM*.  CODE FIXES. 
          AM     86/02/18    CALLCPU
  
 CPSA292  TRANSMITTAL OF CDCM.  REFERENCE DAP = S5012.  THIS UTILITY
          READS A COMPILE FILE OF *COMPASS* CODE AND WRITES A LIST OF 
          ANY LINES WITHIN THAT FILE WHICH CONTAIN CODE-MODIFICATION
          WHICH COULD CAUSE PROGRAM FAILURE.
          NEWDECKS=CWEOR2,CDCMOPT,CDCM
          AM     86/05/14    CDCMOPT, CWEOR2, CDCM
  
 CPSA293  COMPASS/CCC/STC/BCU/CIPPU/END.  FIX *BCU* REGRESSION CAUSED 
          BY CPSA281.  CHARACTER DATA WAS STORED INCORRECTLY DURING 
          BCU-TYPE ASSEMBLIES.  THIS CODE REWORKS *STC* SO AS TO AVOID
          THE VARIOUS TESTS THAT HAD TO BE MADE FOR EACH CHARACTER OF 
          DATA STORED.  INSTEAD, A METHOD OF CODE-MODIFICATION IS USED
          WHICH CONTROLS THE ROUTINE'S PROCESSING ACCORDING TO THE
          CHARACTER TYPE CURRENTLY IN EFFECT.  THE CODE MODIFICATION IS 
          DONE AT THE END OF BOTH PASS 1 AND 2 TO RESET TO NON-ASCII, 
          AND IN PASS 1 AND 2 PROCESSING OF THE *BCU*, *MCU*, CIPPU*, 
          AND *CODE* PSEUDO-OPS.
          DEPENDENCY=CPSA281,CMP30,F4820,CPSA213,CPSA288,CPSA125
          AM     86/07/11    COMPASS
  
 CPSA295  ADD RECORD TYPE 8PP (180-PPU) TO COMCSRT. 
          DEPENDENCY=CPSA284
          AM     86/05/06    COMCSRT
  
 CPSA297  ON 16K CIPPU ASSEMBLIES, ISSUE WARNING ERROR ON STORE 
          INSTRUCTIONS WHICH REFERENCE THE NEXT INSTRUCTION.  FOR 
          EXAMPLES:  STD *+1,  STDL *+1,  STML *+2. 
          THIS IS NEEDED BECAUSE THE S0 IOU HAS A PIPELINE ARCHITECTURE,
          MEANING INSTRUCTIONS ARE PREFETCHED DURING EXECUTION OF A 
          PREVIOUS ONE.  IN PARTICULAR, ANY STORE OPERATION TO A WORD 
          ADDRESS IMMEDIATELY FOLLOWING THE CURRENT INSTRUCTION WILL
          NOT WORK AS EXPECTED, AS THE UNMODIFIED DATA WILL HAVE ALREADY
          BEEN FETCHED. 
          DEPENDENCY=CPS026,CPSA281 
          AM     86/05/12    COMPASS
  
 CPSA300  COMPASS.  ADD COMMENT LINE TO BEGINNING OF COMPASS LISTING TO 
          INDICATE VERSION 3.7. 
          DEPENDENCY=F4810B 
          AM     86/07/10    COMPASS
  
 CPS2658  COMPASS/SCD.  A NUMERIC DATA ITEM WITH TWO PERIODS CAUSES 
          COMPASS TO HANG.  CODE MODIFIES *NDS* IN *SCD* TO UPDATE THE
          COLUMN POINTER BEFORE TAKING ERROR EXIT.
          DEPENDENCY=CPS056 
          AM     85/11/13    COMPASS
  
 CPS2659  COMPASS/PRT.  IF CROSS-REFERENCE TABLE PROCESSING DETECTS 
          CROSS-REFERENCE TABLE OVERFLOW, THEN END-OF-RECORD WRITE IS 
          ISSUED TO THE ERROR FILE UNCONDITIONALLY.  THIS CAUSES THE
          FILE TO EXIST EVEN WHEN THERE WERE NO ERRORS.  CORRECTIVE 
          CODE FIXES. 
          DEPENDENCY=CPS064 
          AM     85/09/10    COMPASS
  
 CPS2672  CHANGE THE USAGE OF TABLE *RELVEC* AS FOLLOWS:  CURRENTLY,
          IT IS USED IN SEVERAL WAYS, BUT WHERE IT IS USED AS THE 
          RELOCATION VECTOR, IT CAN OVERFLOW ITS FIXED LENGTH OF 256
          DURING ASSEMBLIES WITH MANY OVERLAYS (SUCH AS *DSD*).  TO 
          CORRECT THIS, ADD A NEW MANAGE TABLE (*RVTAB*) TO BE USED 
          FOR THE RELOCATION VECTOR.  CONTINUE TO USE THE SAME
          FIXED-LENGTH *RELVEC* FOR ALL THE OTHER PURPOSES. 
          DEPENDENCY=CMP30
          AM     86/06/18    COMPASS
  
 *L688*    ************************************************ 
 *L716*    ************************************************ 
 CPS2660  REMOVE UNNECESSARY ERROR CHECKING CODE AFTER LOADING SYSTEMS
          TEXT ON NOS OR SCOPE 2 SYSTEMS.  THE CODE BEING REMOVED 
          APPLIES TO NOS/BE ONLY. 
          DEPENDENCY=CPSA134,CPS064,F4810B
          AM     88/02/18    COMPASS
  
 *L739*    ************************************************ 
 CPSA291  FIX PROBLEMS WITH CONTINUATION *COMPASS* STATEMENTS.
          (1) ON NOS, *CONTRLC* IS ISSUED WITHOUT THE *CRACK* PARAMETER 
              SET.  THIS CAUSES THE *ARG=* STATUS TO BE LOST. 
          (2) WHEN THE *CONTRLC* REQUEST IS MADE, (RA+64) GETS RESET, 
              CAUSING THE WRONG VALUE TO BE USED FOR THE OVERLAY FILE.
          DEPENDENCY=CMP30
          AM     88/05/19    COMPASS
  
 CPSA305  PROBLEM - FOR *BCU* AND *CIPPU* ASSEMBLIES WITH L=0, THE
          CHARACTER SET DOES NOT PROPERLY DEFAULT TO *CODE N*, BUT
          INSTEAD DEFAULTS TO *CODE A*.  THIS IS BECAUSE THE *BCU*
          AND *CIPPU* PSEUDOS USE THE LOGIC TO NOT ENTER PASS 2 
          PROCESSORS, BUT CPSA293 INTRODUCED PASS 2 LOGIC FOR THESE 
          TO PLUG SUBROUTINE *STC* FOR 8-BIT, ASCII.
          SOLUTION - CHANGE THE PASS 1 EXIT LOGIC FOR *BCU*, *CIPPU*, 
          AND *MCU* SO THAT THE PASS 2 PROCESSORS WILL BE EXECUTED. 
          DEPENDENCY=F4820,CPSA281
          AM     88/09/19    COMPASS
  
 CPSA306  CPSA283 USES A *JP* INSTRUCTION TO VOID THE INSTRUCTION 
          STACK.  THIS SHOULD BE DONE WITH AN *RJ* TO ENSURE THAT IT
          WORKS CORRECTLY ON ANY CPU TYPE.
          DEPENDENCY=CPSA283
          AM     88/11/14    COMCRSR
  
 CPS0328  ON 63 CHAR SET SYSTEMS, CODE CONVERSION TABLE IS INCORRECT FOR
          DISPLAY CODE 00.  IT SHOULD CONVERT TO A BLANK.  CPS2628
          CORRECTED DISPLAY CODE 63 (COLON FOR 63CS, PERCENT FOR 64CS), 
          BUT NOT DISPLAY CODE 00.
          AM     88/05/27    COMPASS
  
 *L780*    ************************************************ 
 *L797*    ************************************************ 
 *L803*    ************************************************ 
 *L826*    ************************************************ 
 *L840*    ************************************************ 
 *L847*    ************************************************ 
 *L851*    ************************************************ 
 *L859*    ************************************************ 
 *L871*    ************************************************ 
  
 F4830CP  MACHINE PSEUDO-OP CHANGES, INSTRUCTION CHANGES AND
          TEXT FILE ADDED TO THE COMPASS PL.
          CJC    14OCT80     COMPASS,AIDTEXT
  
  
